
_main:

;usb reset.c,4 :: 		void main(){
;usb reset.c,6 :: 		OSCCON = 0b01000011       ;     // set 1 MHZ
	MOVLW       67
	MOVWF       OSCCON+0 
;usb reset.c,7 :: 		ADCON0.B0 = 0;                // analog converter disabled
	BCF         ADCON0+0, 0 
;usb reset.c,8 :: 		ADCON1  = 0b01110000;                             // Configure AN pins as digital I/O
	MOVLW       112
	MOVWF       ADCON1+0 
;usb reset.c,9 :: 		TRISB.B0 = 0;         //set sanity digital out (to see if micro is running, wax on / wax off)
	BCF         TRISB+0, 0 
;usb reset.c,10 :: 		TRISB.B1 = 0;         //set tx as output, dont know if this is needed
	BCF         TRISB+0, 1 
;usb reset.c,11 :: 		TRISB.B4 = 1;          // se rx pin as input
	BSF         TRISB+0, 4 
;usb reset.c,12 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	MOVLW       6
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;usb reset.c,13 :: 		Delay_ms(1000);                  // Wait for UART module to stabilize
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       69
	MOVWF       R12, 0
	MOVLW       169
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
	NOP
;usb reset.c,14 :: 		UART1_Write_Text("Start");
	MOVLW       ?lstr1_usb_32reset+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_usb_32reset+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;usb reset.c,15 :: 		UART1_Write(10);
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;usb reset.c,16 :: 		UART1_Write(13);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;usb reset.c,18 :: 		while(1){
L_main1:
;usb reset.c,19 :: 		LATB.B0= ~LATB.B0;
	BTG         LATB+0, 0 
;usb reset.c,20 :: 		delay_ms(100);
	MOVLW       33
	MOVWF       R12, 0
	MOVLW       118
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	NOP
;usb reset.c,21 :: 		UART1_Write_Text("k");
	MOVLW       ?lstr2_usb_32reset+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_usb_32reset+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;usb reset.c,22 :: 		UART1_Write(10);
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;usb reset.c,23 :: 		UART1_Write(13);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;usb reset.c,24 :: 		}
	GOTO        L_main1
;usb reset.c,25 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
